// pages/index/index.js
const utils = require('../../utils/serve')
 

Page({

  /**
   * 页面的初始数据
   */
  data: {
    swiperArr: [],
    mainData: [],
    paginate: null,
    juhuaLoading: false,
  },


  skipSearch: function(){
    wx.navigateTo({
      url: '/pages/pageSearch/pageSearch',
    })
  },

  skipSerchDetail: function(ev){
    wx.navigateTo({
      url: `/pages/pageSerchDetail/pageSerchDetail?param=${JSON.stringify(ev.currentTarget.dataset.param)}`,
    })
  },

 
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
      this.init()
 
  },

 init (){
   utils.http({
      url:'/manicureApi/Index/banner',
      method:'GET',
    }).then(res=>{
       this.setData({
        swiperArr: res.data
       })
    })

    utils.http({
      url:'/manicureApi/Index/colorList',
      method:'GET',
    }).then(res=>{
      this.setData({
        mainData: res.data.lists,
        paginate: res.data.paginate
       })
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
 
      if( this.data.mainData.length < this.data.paginate.total) {
        wx.showLoading({
          title: '加载中···',
          mask: true,
        
        })
        

        // 加载更多
        utils.http({
          url:'/manicureApi/Index/colorList?p=2',
          method:'GET',
        }).then(res=>{
            this.setData({
              mainData: this.data.mainData.concat(res.data.lists)
            },()=>{
              wx.hideLoading()
            })
        })
      } else {
        wx.showToast({
          title: '已经到底啦~',
          duration: 3000,
          icon: 'none',
        })
      }
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})